import { QPQConfig, EventMatchStoryActionProcessor, EventTransformEventParamsActionProcessor, EventTransformResponseResultActionProcessor, EventAutoRespondActionProcessor, QueueMessage, QueueQPQConfigSetting } from 'quidproquo-core';
import { QueueEventParams } from 'quidproquo-webserver';
import { Context, SQSRecord } from 'aws-lambda';
type AnyQueueEventParams = QueueEventParams<QueueMessage<any>>;
export declare const getQueueConfigSetting: () => QueueQPQConfigSetting;
declare const _default: (qpqConfig: QPQConfig) => {
    "@quidproquo-core/event/TransformEventParams": EventTransformEventParamsActionProcessor<[SQSRecord, Context], AnyQueueEventParams>;
    "@quidproquo-core/event/TransformResponseResult": EventTransformResponseResultActionProcessor<boolean, AnyQueueEventParams, boolean>;
    "@quidproquo-core/event/AutoRespond": EventAutoRespondActionProcessor<AnyQueueEventParams>;
    "@quidproquo-core/event/MatchStory": EventMatchStoryActionProcessor<AnyQueueEventParams>;
};
export default _default;
